cannot use magick on macOS 10.15 Catalina

Post any defects you find in the released or beta versions of the ImageMagick software here. Include the ImageMagick version, OS, and any command-line required to reproduce the problem. Got a patch for a bug? Post it here.
Post Reply
mylastgg
Posts: 7
Joined: 2019-02-15T07:09:18-07:00
Authentication code: 1152

cannot use magick on macOS 10.15 Catalina

Post by mylastgg » 2019-10-10T08:02:21-07:00

Hello!
Apple just recently released the latest version of the macOS system, 10.15 Catalina and asked developers to notarize their software: https://developer.apple.com/news/?id=09032019a

I'm using a python script that invokes magick using bash and it works just fine on macOS 10.14, but when I run on Catalina I get this error:

"magick” cannot be opened because the developer cannot be trusted

Is this something that the magick community need to fix (e.g. to release a notarized version of magick)?

Best,

Davide

Post Reply